org.richfaces.component.attribute

## Interface AjaxProps

- All Known Implementing Classes:
    AbstractPanelMenuGroup, AbstractPanelMenuItem, AbstractTab, UIPanelMenuGroup, UIPanelMenuItem, UITab

      public interface AjaxProps

  Interface defining the methods for command-button-props.xml
  Author:
    Lukas Fryc

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getData()` Serialized (on default with JSON) data passed to the client by a developer on an AJAX request.
    `Object` | `getExecute()` IDs of components that will participate in the "execute" portion of the Request Processing Lifecycle.
    `String` | `getOnbeforedomupdate()` The client-side script method to be called after the ajax response comes back, but before the DOM is updated
    `String` | `getOnbegin()` The client-side script method to be called before an ajax request.
    `String` | `getOncomplete()` The client-side script method to be called after the DOM is updated
    `Object` | `getRender()` IDs of components that will participate in the "render" portion of the Request Processing Lifecycle.
    `String` | `getStatus()` Name of the request status component that will indicate the status of the Ajax request
    `boolean` | `isLimitRender()` If "true", render only those ids specified in the "render" attribute, forgoing the render of the auto-rendered panels

- - ### Method Detail

    - #### getExecute

          Object getExecute()

      IDs of components that will participate in the "execute" portion of the Request Processing Lifecycle. Can be a single ID, a space or comma separated list of IDs, or an EL Expression evaluating to an array or Collection. Any of the keywords "@this", "@form", "@all", "@none", "@region" may be specified in the identifier list. Some components make use of additional keywords

    - #### getRender

          Object getRender()

      IDs of components that will participate in the "render" portion of the Request Processing Lifecycle. Can be a single ID, a space or comma separated list of Id's, or an EL Expression evaluating to an array or Collection. Any of the keywords "@this", "@form", "@all", "@none", "@region" may be specified in the identifier list. Some components make use of additional keywords

    - #### isLimitRender

          boolean isLimitRender()

      If "true", render only those ids specified in the "render" attribute, forgoing the render of the auto-rendered panels

    - #### getStatus

          String getStatus()

      Name of the request status component that will indicate the status of the Ajax request

    - #### getData

          Object getData()

      Serialized (on default with JSON) data passed to the client by a developer on an AJAX request. It's accessible via "event.data" syntax. Both primitive types and complex types such as arrays and collections can be serialized and used with data

    - #### getOnbegin

          String getOnbegin()

      The client-side script method to be called before an ajax request.

    - #### getOnbeforedomupdate

          String getOnbeforedomupdate()

      The client-side script method to be called after the ajax response comes back, but before the DOM is updated

    - #### getOncomplete

          String getOncomplete()

      The client-side script method to be called after the DOM is updated

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.